//
//  morseCodeVisualizerViewController.h
//  morseCodeVisualizer
//
//  Created by SJSU Students on 10/1/10.
//  Copyright 2010 SJSU. All rights reserved.
//

#import <UIKit/UIKit.h>
#define showsegmentIndex 0
#define fullScreenSegmentIndex 1
#define degreesToRadians(x) (M_PI * (x)/180.0)



@interface morseCodeVisualizerViewController : UIViewController {
	UIColor *brightColor;
	UIColor *darkColor;
	int buttonIndex;
	IBOutlet UITextField *textField;
	IBOutlet UILabel *sliderLabel;
	IBOutlet UIView *halfView;	
	IBOutlet UIView *fullView;
	IBOutlet UIView *controlsView;
	IBOutlet UIView *buttonsView;
	IBOutlet UISegmentedControl *segmentControl;
	IBOutlet UIButton *sendButton;
	IBOutlet UIButton *firstButton;
	IBOutlet UIButton *secondButton;
	IBOutlet UIButton *thirdButton;
	IBOutlet UILabel *firstButtonLabel;
	IBOutlet UILabel *secondButtonLabel;
	IBOutlet UILabel *thirdButtonLabel;
}

@property(nonatomic,retain)UITextField *textField;
@property(nonatomic,retain)UILabel *sliderLabel;
@property(nonatomic,retain)UIView *halfView;
@property(nonatomic,retain)UIView *fullView;
@property(nonatomic,retain)UIView *controlsView;
@property(nonatomic,retain)UIView *buttonsView;
@property(nonatomic,retain)UISegmentedControl *segmentControl;
@property (nonatomic, retain)UIButton *sendButton;
@property (nonatomic, retain)UIButton *firstButton;
@property (nonatomic, retain)UIButton *secondButton;
@property (nonatomic, retain)UIButton *thirdButton;
@property (nonatomic, retain)UILabel *firstButtonLabel;
@property (nonatomic, retain)UILabel *secondButtonLabel;
@property (nonatomic, retain)UILabel *thirdButtonLabel;

-(IBAction)textFieldDoneEditing:(id)sender;
-(IBAction)backgroundClicked:(id)sender;
-(IBAction)sliderChanged:(id)sender;
-(IBAction)toggleHalfOrFullScreen;
-(IBAction)sendMessage:(id)sender;
-(float)generateMorseCode:(UniChar)letter :(float)delay;
-(void) flashLightBrightResponse:(NSTimer*)brightTimer;
-(void)flashLightDarkResponse:(NSTimer*)darkTimer;
-(void)delayedResponse:(NSTimer*)timer;
-(void)callTimer:(int)code:(float)delay;

@end

