//
//  morseCodeVisualizerViewController.m
//  morseCodeVisualizer
//
//  Created by SJSU Students on 10/1/10.
//  Copyright 2010 SJSU. All rights reserved.
//

#import "morseCodeVisualizerViewController.h"

@implementation morseCodeVisualizerViewController
@synthesize textField;
@synthesize sliderLabel;
@synthesize halfView;
@synthesize fullView;
@synthesize controlsView;
@synthesize segmentControl;
@synthesize buttonsView;
@synthesize sendButton;
@synthesize firstButton;
@synthesize secondButton;
@synthesize thirdButton;
@synthesize firstButtonLabel;
@synthesize secondButtonLabel;
@synthesize thirdButtonLabel;



-(IBAction)textFieldDoneEditing:(id)sender{
	[sender resignFirstResponder];
}

-(IBAction)backgroundClicked:(id)sender{
	[textField resignFirstResponder];
}

-(IBAction)sliderChanged:(id)sender{
	UISlider *slider = (UISlider *)sender;
	NSString *text = [[NSString alloc] initWithFormat:@"%0.1f", slider.value];
	sliderLabel.text = text;
	// const CGFloat *rgb = CGColorGetComponents(brightColor.CGColor);
	//[brightColor initWithWhite:1.0 alpha:slider.value];
	halfView.alpha =slider.value;
	fullView.alpha = slider.value;
	//buttonsView.alpha = slider.value;
	

	
	[text release];
}

-(IBAction)toggleHalfOrFullScreen{
	NSInteger segmentIndex = segmentControl.selectedSegmentIndex;
	if(segmentIndex == showsegmentIndex){
		[halfView setHidden:NO];
		[fullView setHidden:YES];
		[buttonsView setHidden:YES];
		
		
	}
	else {
		[halfView setHidden:YES];
		[fullView setHidden:NO];
		[buttonsView setHidden:NO];
	}
	
}

-(IBAction)sendMessage:(id)sender{
	NSInteger segmentIndex = segmentControl.selectedSegmentIndex;
	NSTimer *timer;
	NSString *text;
	if(sender == sendButton)
		text = [[NSString alloc] initWithFormat :@"%@",textField.text];
	else {
		if(sender == firstButton)
			text = [[NSString alloc] initWithFormat :@"%@",firstButtonLabel.text];
		if(sender== secondButton)
			text = [[NSString alloc] initWithFormat :@"%@",secondButtonLabel.text];
		if(sender== thirdButton)
			text = [[NSString alloc] initWithFormat :@"%@",thirdButtonLabel.text];
	}
	if(text.length == 0){
		UIAlertView *alert = [[UIAlertView alloc]
							  initWithTitle:nil
							  message:@"Fill in some text"
							  delegate:self
							  cancelButtonTitle:@"Okay!"
							  otherButtonTitles:nil];
		[alert show];
		[alert release];
	}
	else{
		if(segmentIndex == fullScreenSegmentIndex){
			[controlsView setHidden:YES];
			[buttonsView setHidden:YES];
		}
		NSMutableArray *textArray = [[NSMutableArray alloc] initWithCapacity:[text length]];
		int i;
		UniChar letter;
		float delay = 0;
		for(i=0; i < [text length]; i++)
			[textArray addObject:[NSNumber numberWithChar:[text characterAtIndex:i]]];
		
		for ( i = 0; i < [textArray count]; i++){
			letter = [[textArray objectAtIndex:i] charValue];
			delay = [self generateMorseCode :letter :delay];
			if(i != ([text length]-1)){
			delay = delay + 1.5;
			[self callTimer:2 :delay];
			}
		}
		if(segmentIndex == fullScreenSegmentIndex){
			timer = [NSTimer scheduledTimerWithTimeInterval:(delay+2) target:self 
					selector:@selector(delayedResponse:) userInfo:nil repeats:NO];

			
		}
		if(sender == sendButton){
			if(buttonIndex ==0 || buttonIndex == 3)
				firstButtonLabel.text = textField.text;
			else {
				if(buttonIndex == 1)
					secondButtonLabel.text = textField.text;
				if(buttonIndex == 2)
					thirdButtonLabel.text = textField.text;
				
			}
			buttonIndex += 1;
		}	
			
		[text release];
		[textArray release];
	}
	
	
}

-(float)generateMorseCode:(UniChar)letter:(float)delay{
	
	switch (letter) {
		case 'A':
			delay = delay+ 0.5;
			[self callTimer:1 :delay];
			delay = delay+ 0.5;
			[self callTimer:2 :delay];
			delay = delay+ 1.5;
			[self callTimer:1 :delay];
			break;
		case 'B':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			break;
		case 'C':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			break;
		case 'D':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			break;
		case 'E':
			delay = delay + 0.5;
			[self callTimer:1 :delay];			
			break;
		case 'F':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			break;
		case 'G':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			break;
		case 'H':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			break;
		case 'I':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			break;
		case 'J':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			break;
		case 'K':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 1.5;
			break;
			
		case 'L':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			break;
		case 'M':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			break;
		case 'N':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			break;
		case 'O':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			break;
		case 'P':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			break;
		case 'Q':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			break;
		case 'R':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			break;
		case 'S':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			break;
		case 'T':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			break;
		case 'U':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			break;
		case 'V':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];			
			break;
		case 'W':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			break;
		case 'X':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];			
			break;
		case 'Y':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];			
			break;
		case 'Z':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];			
			break;
		case '1':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			break;
		case '2':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			break;
		case '3':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			break;
		case '4':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			break;
		case '5':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			break;
		case '6':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			break;
		case '7':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			break;
			
		case '8':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			break;
		case '9':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			break;
		case '0':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			break;
		case '.':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			break;
		case ',':
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];	
			break;
		case '?':
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 1.5;
			[self callTimer:1 :delay];
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			delay = delay + 1.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			delay = delay + 0.5;
			[self callTimer:2 :delay];
			delay = delay + 0.5;
			[self callTimer:1 :delay];	
			break;
		default:
			delay = delay + 3.5;
			[self callTimer:2 :delay];
			
			
			
	}
	return delay;
}

-(void)callTimer:(int)code:(float)delay{
	NSTimer *brightTimer;
	NSTimer *darkTimer;
	
	switch(code){
		case 1:
			brightTimer = [NSTimer scheduledTimerWithTimeInterval:delay target:self 
													 selector:@selector(flashLightBrightResponse:) userInfo:nil repeats:NO];
			break;
		case 2:
			darkTimer = [NSTimer scheduledTimerWithTimeInterval: delay target:self 
													   selector:@selector(flashLightDarkResponse:) userInfo:nil repeats:NO];
			break;
	}
			
			
		
		
}

-(void) flashLightBrightResponse:(NSTimer*)brightTimer {
	NSInteger segmentIndex = segmentControl.selectedSegmentIndex;
	if(segmentIndex == showsegmentIndex)
		[halfView setBackgroundColor:brightColor];
	else 
		[fullView setBackgroundColor:brightColor];
	
	
}

-(void) flashLightDarkResponse:(NSTimer*)darkTimer {
	NSInteger segmentIndex = segmentControl.selectedSegmentIndex;
	if(segmentIndex == showsegmentIndex)
		[halfView setBackgroundColor:darkColor];
	else 
		[fullView setBackgroundColor:darkColor];
	
	
}

-(void) delayedResponse:(NSTimer*)timer {
	
	[controlsView setHidden:NO];
	[buttonsView setHidden:NO];	
		
}
	

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	brightColor = [UIColor whiteColor];
	darkColor = [UIColor darkGrayColor];
				
}


-(void)willAnimateSecondHalfOfRotationToInterfaceOrientation: 
(UIInterfaceOrientation)fromInterfaceOrientation duration:(NSTimeInterval)duration 
{
	/*UIInterfaceOrientation currentOrientation = self.interfaceOrientation;
	
	if(currentOrientation == UIInterfaceOrientationPortrait || currentOrientation == UIInterfaceOrientationPortraitUpsideDown){

		//halfView.transform = CGAffineTransformIdentity;
		//halfView.transform = CGAffineTransformMakeRotation(degreesToRadians(-90));
		//halfView.frame = CGRectMake(0.0, 0.0, 320,230);
		//sendButton.frame =  CGRectMake(0.0, 0.0, 460, 320);
		
		//controlsView.frame = CGRectMake(175,20,125,125);
		
	}*/
		
		
	
}


// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return YES;
}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	//[darkColor release];
}

@end
